# List notification definitions Queries notification definitions with the specified filters. Endpoint: GET /notifications/notification-definitions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. ## Query parameters: - `start` (integer) The first index of the query result. - `limit` (integer) The maximum number of results the query should return. - `profileId` (string) Id of the profile. - `eventCategory` (number) The event category code for a standard event, on which the notification definition is created. For the list of supported standard event category codes, see Standard event category code for events and notifications. You cannot specify eventCategory and eventTypeName at the same time. - `eventTypeName` (string) The name of the Zuora custom event, custom event, or custom scheduled event on which the notification definition is created. You cannot specify eventCategory and eventTypeName at the same time. - `emailTemplateId` (string) The ID of the email template. ## Response 200 fields (application/json): - `data` (array) Example: [{"id":"838bfafa9b224408809f8ecbdae198ef","createdBy":"8ad084a67f9c7138017fab8a8b511b5a","createdOn":"2024-11-11T03:00:03.000 UTC","updatedBy":"8ad084a67f9c7138017fab8a8b511b5a","updatedOn":"2024-11-11T03:00:03.000 UTC","eventTypeNamespace":"user.notification","eventTypeName":"AccountEdit","name":"Account Edit Notification","description":null,"communicationProfileId":"2c92c0f9446cd49501447539d6a72815","communicationProfileIds":["2c92c0f9446cd49501447539d6a72815"],"active":true,"emailTemplateId":"f11e498862584a10a05b83ea70119659","callout":null,"calloutTemplateIds":[],"filterRule":{"id":"a1efc8cc717e48208b9f0fd5d7bf2a58","createdBy":"8ad084a67f9c7138017fab8a8b511b5a","createdOn":"2024-11-11T03:00:04.000 UTC","updatedBy":null,"updatedOn":null,"description":"Filter rule to test if an account is a VIP account","condition":"Account.Balance >= _VIP_BALANCE_AMOUNT && Account.Status == _ACCOUNT_STATUS","parameters":{"_ACCOUNT_STATUS":{"displayName":"VIP Account Status","description":"The status of the VIP Account","options":["Draft","Active","Canceled"],"valueType":"STRING"},"_VIP_BALANCE_AMOUNT":{"displayName":"VIP Account Balance","description":"The minimum account balance","options":null,"valueType":"BIG_DECIMAL"}},"scheduled":false},"filterRuleParams":{"_ACCOUNT_STATUS":"Active","_VIP_BALANCE_AMOUNT":"100000.0"},"emailActive":true,"calloutActive":false,"associatedAccount":null}] - `data.active` (boolean) The status of the notification definition. The default value is true. Example: true - `data.associatedAccount` (string) The account on which the histories of this notification will be displayed. The associated account does not enforce where the merge fields come from. - `data.callout` (object) - `data.callout.active` (boolean) The status of the callout. The default value is true. - `data.callout.calloutAuth` (object,null) If requiredAuth is true, this object is required. - `data.callout.calloutAuth.domain` (string) The domain of the callout auth. - `data.callout.calloutAuth.password` (string) The field is required when requiredAuth is true. - `data.callout.calloutAuth.preemptive` (boolean) Set this field to true if you want to enable the preemptive authentication. - `data.callout.calloutAuth.username` (string) The field is required when requiredAuth is true. - `data.callout.calloutBaseurl` (string) The callout URL. It must start with 'https://' Example: "https://***" - `data.callout.calloutParams` (object) A key-value map of merge fields of this callout. - `data.callout.calloutRetry` (boolean) Specified whether to retry the callout when the callout fails. The default value is true. - `data.callout.description` (string) Description for the callout. - `data.callout.eventTypeName` (string) The name of the custom event type. - `data.callout.httpMethod` (string) The HTTP method of the callout. Enum: "POST", "GET", "PUT", "PATCH", "DELETE" - `data.callout.id` (string) The ID of the callout. If calloutActive is true, a callout is required. The eventTypeName of the callout MUST be the same as the eventTypeName. - `data.callout.name` (string) The name of the created callout. - `data.callout.oauth2ProviderId` (string) The ID of the OAuth 2.0 provider in your tenant that provides access tokens for the callout. - `data.callout.requiredAuth` (boolean) Indicates whether Basic authentication is enabled for the callout. - `data.callout.requiredOauth2` (boolean) Indicates whether OAuth 2.0 authentication is enabled for the callout. - `data.calloutActive` (boolean) The status of the callout action. The default value is false. - `data.calloutTemplateIds` (array) List of callout template IDs that the notification definition is associated with. Example: [] - `data.communicationProfileId` (string) The ID of the communication profile that the notification definition is associated with. If the notification definition is associated with multiple communication profiles, see communicationProfileIds for all associated communication profile IDs. Example: "2c92c0f9446cd49501447539d6a72815" - `data.communicationProfileIds` (array) List of communication profile IDs that the notification definition is associated with. Example: ["2c92c0f9446cd49501447539d6a72815"] - `data.createdBy` (string) The ID of the user who created the notification definition. Example: "8ad084a67f9c7138017fab8a8b511b5a" - `data.createdOn` (string) The time when the notification definition was created. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00 Example: "2024-11-11T03:00:03.000 UTC" - `data.description` (string) Description of the notification definition - `data.emailActive` (boolean) The status of the email action. The default value is false. Example: true - `data.emailTemplateId` (string) The ID of the email template. In the request, there should be at least one email template or callout. Example: "f11e498862584a10a05b83ea70119659" - `data.eventCategory` (number) The event category code for a standard event, on which the notification definition is created. This field is available only if the notification definition is based on a standard event. For the list of supported standard event category codes, see Standard event category code for events and notifications. - `data.eventId` (string) The ID of the event that the notification definition is based on. This field is available only if the notification definition is based on a standard event. - `data.eventTypeName` (string) The name of the event that the notification definition is based on. This field is available only if the notification definition is based on a Zuora custom event, custom event, or custom scheduled event. Example: "AccountEdit" - `data.eventTypeNamespace` (string) The namespace of the eventTypeName field. It indicates who created the event and which namespace the event is assigned to. Supported values are as follows: - com.zuora.notification: events that are created by Zuora. This value applies to Zuora custom events. - user.notification: events that are created by tenant users. This value applies to custom events and custom scheduled events. This field is available only if the notification definition is based on a Zuora custom event, custom event, or custom scheduled event. Enum: "user.notification", "com.zuora.notification" - `data.filterRule` (object) Example: {"id":"a1efc8cc717e48208b9f0fd5d7bf2a58","createdBy":"8ad084a67f9c7138017fab8a8b511b5a","createdOn":"2024-11-11T03:00:04.000 UTC","updatedBy":null,"updatedOn":null,"description":"Filter rule to test if an account is a VIP account","condition":"Account.Balance >= _VIP_BALANCE_AMOUNT && Account.Status == _ACCOUNT_STATUS","parameters":{"_ACCOUNT_STATUS":{"displayName":"VIP Account Status","description":"The status of the VIP Account","options":["Draft","Active","Canceled"],"valueType":"STRING"},"_VIP_BALANCE_AMOUNT":{"displayName":"VIP Account Balance","description":"The minimum account balance","options":null,"valueType":"BIG_DECIMAL"}},"scheduled":false} - `data.filterRule.condition` (string) The filter rule conditions, written in [JEXL](http://commons.apache.org/proper/commons-jexl/). The rule might contain event context merge fields and data source merge fields. Data source merge fields must be from [the base object of the event or from the joined objects of the base object](https://knowledgecenter.zuora.com/DC_Developers/M_Export_ZOQL#Data_Sources_and_Objects). Notifications with invalid merge fields will fail to evaluate, thus will not be invoked. For example, to trigger an event when an invoice is posted with the amount over 1000, you would define the following condition on the Invoice object: changeType == 'UPDATE' && Invoice.Status == 'Posted' && Invoice.Status_old != 'Posted' && Invoice.Amount > 1000.0 There are conventions and keywords you need to be aware of. For example: * changeType is a keyword to specify what kind of change happened to the object. Allowed values are INSERT, UPDATE or DELETE. * Invoice.Status refers to field Status of the Zuora object Invoice. * A variable with the _old suffix means it’s a previous value of the corresponding object field. The "_old" fields are only available on the base objects. Example: "Account.Balance >= _VIP_BALANCE_AMOUNT && Account.Status == _ACCOUNT_STATUS" - `data.filterRule.description` (string) The description of the filter rule. Example: "Filter rule to test if an account is a VIP account" - `data.filterRule.eventTypeName` (string) The value is null. - `data.filterRule.id` (string) The ID of the filter rule. If not specified or null, the notification definition is always qualified to process events of "eventType". Example: "a1efc8cc717e48208b9f0fd5d7bf2a58" - `data.filterRule.parameters` (object) The parameters of the filter rule and their name must match those in the filter rule. And all parameters must be defined in the event type payload. The name of parameters can't be duplicate. The following reserved keywords should not be used as a parameter name: AttachmentList, RecipientList, RecipientType, Exceptions, OCP_OBJECT_TYPE, OCP_OBJECT_ID, OCP_TRIGGER_BY - `data.filterRuleParams` (object) The parameter values used to configure the filter rule. - `data.id` (string) The ID associated with this notification definition. Example: "838bfafa9b224408809f8ecbdae198ef" - `data.name` (string) The name of the notification definition. Example: "Account Edit Notification" - `data.updatedBy` (string) The ID of the user who updated the notification definition. Example: "8ad084a67f9c7138017fab8a8b511b5a" - `data.updatedOn` (string) The time when the notification was updated. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00 Example: "2024-11-11T03:00:03.000 UTC" - `next` (string) The URI to query the next page of data, e.g. '/notification-definitions?start=1&limit=10'. The start equals request's start+limit, and the limit equals the request's limit. If the current page is the last page, this value is null. Example: "/notification-definitions?start=1&limit=10" ## Response 404 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 405 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 415 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response